SOTRUSS(1)

NAME
sotruss - trace shared library calls through PLT

SYNOPSIS
sotruss [OPTION...] [--] EXECUTABLE [EXECUTABLE-OPTION...]

DESCRIPTION
sotruss is a small wrapper around ld.so that runs the specified executable until it exits. It intercepts and produce a trace of the dynamic library calls which are called by the executed process via the Procedure Linkage Table (PLT). It outputs the caller, the calle and the parameters as each call is executed.

OPTIONS

-F, --from FROMLIST
    Trace calls from objects on FROMLIST.

-T, --to TOLIST
    Trace calls to objects on TOLIST.

-e, --exit
    Also show exits from the function calls.

-f, --follow
    Trace child processes as they are created by currently traced processes as a result of the fork(2) system call.

-o, --output FILENAME
    Write output to FILENAME (or FILENAME. in case -f is also used) instead of standard error.

-?, --help
    Give this help list

--usage
    Give a short usage message

--version
    Print program version

AUTHOR
Written by Ulrich Drepper.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ld.so(8).